### Method

# WPEPlatform BufferDMABufFormats get_device

#### Declaration [src]

    const char*
    wpe_buffer_dma_buf_formats_get_device (
      WPEBufferDMABufFormats* formats
    )

#### Description [src]

Get the main DRM device to be used to allocate buffer for `formats`.

#### Return value

Type: `const char*`

The main DRM device for `formats`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.